## loci.formats
Class ZeissLSMReader

    java.lang.Object
      loci.formats.FormatHandler
          loci.formats.FormatReader
              loci.formats.BaseTiffReader
                  loci.formats.ZeissLSMReader

public class ZeissLSMReader
extends BaseTiffReader

ZeissLSMReader is the file format reader for Zeiss LSM files.

Field Summary

Fields inherited from class loci.formats.BaseTiffReader
`ifds, in, numImages`

Fields inherited from class loci.formats.FormatReader
`DEBUG, DEBUG_LEVEL, metadata, ome`

Fields inherited from class loci.formats.FormatHandler
`chooser, currentId, filters, format, suffixes`

Constructor Summary
`ZeissLSMReader()` Constructs a new Zeiss LSM reader.

Method Summary
`protected void` `initFile(String id)` Initializes the given Zeiss LSM file.
`protected void` `initMetadata()` Populates the metadata hashtable.
`boolean` `isThisType(byte[] block)` Checks if the given block is a valid header for a Zeiss LSM file.
`static void` `main(String[] args)`
`protected void` `parseOverlays(long data, String suffix, boolean little)` Parses overlay-related fields.
`protected void` `parseSubBlocks(long data, String suffix, boolean little)` Parses subblock-related fields.

Methods inherited from class loci.formats.BaseTiffReader
`close, getImageCount, getTiffDimensions, initOMEMetadata, initStandardMetadata, open, put, put, put, put, put, put, put, put, put, put, putInt`

Methods inherited from class loci.formats.FormatReader
`createFilters, getMetadata, getMetadataValue, getOMENode, open, testRead`

Methods inherited from class loci.formats.FormatHandler
`getFileChooser, getFileFilters, getFormat, getSuffixes, isThisType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZeissLSMReader

    public ZeissLSMReader()

  Constructs a new Zeiss LSM reader.

Method Detail

### isThisType

    public boolean isThisType(byte[] block)

  Checks if the given block is a valid header for a Zeiss LSM file.

  Overrides:
    `isThisType` in class `BaseTiffReader`

### initFile

    protected void initFile(String id)
                     throws FormatException,
                            IOException

  Initializes the given Zeiss LSM file.

  Overrides:
    `initFile` in class `BaseTiffReader`
  Throws:
    `FormatException`
    `IOException`

### initMetadata

    protected void initMetadata()

  Populates the metadata hashtable.

  Overrides:
    `initMetadata` in class `BaseTiffReader`

### parseOverlays

    protected void parseOverlays(long data,
                                 String suffix,
                                 boolean little)
                          throws IOException

  Parses overlay-related fields.

  Throws:
    `IOException`

### parseSubBlocks

    protected void parseSubBlocks(long data,
                                  String suffix,
                                  boolean little)
                           throws IOException

  Parses subblock-related fields.

  Throws:
    `IOException`

### main

    public static void main(String[] args)
                     throws FormatException,
                            IOException

  Throws:
    `FormatException`
    `IOException`